# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Template/Alloy.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Template-Alloy-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.004
Release: alt4
Summary: XS version of key parts of Template::Alloy
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GAUDEON/%{module_name}-%{version}.tar.gz

%description
This module allows key portions of the Template::Alloy module to run in XS.

All of the methods of Template::Alloy are available.  All configuration
parameters, and all output should be the same.  You should be able
to use this package directly in place of Template::Alloy.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.004-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.004-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.004-alt2
- rebuild with perl 5.30

* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.004-alt1
- initial import by package builder

